#ifndef MMA8452_H
#define MMA8452_H

#include <stdint.h>

#define MMA8452_RESOLUTION_BITS 12

struct mma8452;

struct mma8452 *mma8452_open(const char *dev_path, int addr);
int mma8452_read(struct mma8452 *acc, uint8_t start_addr, int read_size, uint8_t *digit);
int mma8452_write(struct mma8452 *acc, uint8_t start_addr, int write_size, uint8_t *digit);
/**** sample: for I2C SMBUS: begin ****/
int mma8452_read_smbus_byte(struct mma8452 *acc, uint8_t start_addr, uint8_t *digit);
/**** sample: for I2C SMBUS: end ****/
int mma8452_close(struct mma8452 *acc);

#endif
